Bug 985325 - Making nfs-utils Python 3 compatible
Making nfs-utils Python 3 compatible
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 05:58 EDT by Bohuslav "Slavek" Kabrda
Modified: 2013-10-03 22:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: nfs-utils-1.2.8-6.0.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 22:00:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch porting nfs-utils to Python 3. (28.02 KB, patch)
2013-07-19 08:41 EDT, Bohuslav "Slavek" Kabrda
no flags Details | Diff

  None (edit)
Description Bohuslav "Slavek" Kabrda 2013-07-17 05:58:51 EDT
Hi,
is there any plan/estimate of making nfs-utils compatible with Python 3? I'm currently trying to figure out what it'd take to move Fedora to Python 3 and since nfs-utils is one of Anaconda's deps, it'd need to be converted as one of the first.
Thanks.
Comment 1 Steve Dickson 2013-07-17 10:58:31 EDT
(In reply to Bohuslav "Slavek" Kabrda from comment #0)
> Hi,
> is there any plan/estimate of making nfs-utils compatible with Python 3? I'm
> currently trying to figure out what it'd take to move Fedora to Python 3 and
> since nfs-utils is one of Anaconda's deps, it'd need to be converted as one
> of the first.
> Thanks.

I'm not sure what it means to be "compatible with Python 3"...
Is Python 3 not backwards compatible with older versions?
Comment 2 Bohuslav "Slavek" Kabrda 2013-07-18 04:32:48 EDT
(In reply to Steve Dickson from comment #1)
> (In reply to Bohuslav "Slavek" Kabrda from comment #0)
> > Hi,
> > is there any plan/estimate of making nfs-utils compatible with Python 3? I'm
> > currently trying to figure out what it'd take to move Fedora to Python 3 and
> > since nfs-utils is one of Anaconda's deps, it'd need to be converted as one
> > of the first.
> > Thanks.
> 
> I'm not sure what it means to be "compatible with Python 3"...
> Is Python 3 not backwards compatible with older versions?

No, Python 3 breaks backwards compatibility [1], [2], but you can make the code work on Python 2.6 and higher and be forward compatible.

[1] http://docs.python.org/dev/howto/pyporting.html
[2] http://docs.python.org/3/howto/cporting.html
Comment 3 Bohuslav "Slavek" Kabrda 2013-07-19 08:41:29 EDT
Created attachment 775790 [details]
Patch porting nfs-utils to Python 3.

So, here's a patch that ports the two scripts in nfs-utils to Python 3. I basically ran 2to3 on the files and did some minor hand adjustments. The downside is that this will only run on Python 2.6+, but that should hopefully be enough.
Comment 4 J. Bruce Fields 2013-07-19 09:27:18 EDT
Thanks!  Could you submit the patch upstream?

I'd recommend mail to steved@redhat.com, cc:'d to linux-nfs@vger.kernel.org.
Comment 5 Bohuslav "Slavek" Kabrda 2013-07-31 08:09:38 EDT
(In reply to J. Bruce Fields from comment #4)
> Thanks!  Could you submit the patch upstream?
> 
> I'd recommend mail to steved@redhat.com, cc:'d to linux-nfs@vger.kernel.org.

I tried to do that couple of days ago, but I got no response. Are you in touch with upstream? Could you possible try to contact them and ask them to accept?
Thanks!
Comment 6 Bohuslav "Slavek" Kabrda 2013-09-04 07:11:49 EDT
(In reply to Bohuslav "Slavek" Kabrda from comment #5)
> (In reply to J. Bruce Fields from comment #4)
> > Thanks!  Could you submit the patch upstream?
> > 
> > I'd recommend mail to steved@redhat.com, cc:'d to linux-nfs@vger.kernel.org.
> 
> I tried to do that couple of days ago, but I got no response. Are you in
> touch with upstream? Could you possible try to contact them and ask them to
> accept?
> Thanks!

Ping again... pretty please? :)
Comment 7 Steve Dickson 2013-09-10 06:45:16 EDT
(In reply to Bohuslav "Slavek" Kabrda from comment #5)
> (In reply to J. Bruce Fields from comment #4)
> > Thanks!  Could you submit the patch upstream?
> > 
> > I'd recommend mail to steved@redhat.com, cc:'d to linux-nfs@vger.kernel.org.
> 
> I tried to do that couple of days ago, but I got no response. Are you in
> touch with upstream? Could you possible try to contact them and ask them to
> accept?
> Thanks!

My apologies on this one... But I have not seen the patch posted to upstream. 
  linux-nfs@vger.kernel.org is the address... Please use the appropriate
format including the Signed-off-by line.

In the future, please feel free to ping privately to get my 
attention on things like this... The amount of email I get 
from  bugzilla.redhat.com is simply abusive, so I tend to
miss things like this...
Comment 8 Fedora End Of Life 2013-09-16 12:47:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 9 Bohuslav "Slavek" Kabrda 2013-09-17 06:28:23 EDT
(In reply to Steve Dickson from comment #7)
> (In reply to Bohuslav "Slavek" Kabrda from comment #5)
> > (In reply to J. Bruce Fields from comment #4)
> > > Thanks!  Could you submit the patch upstream?
> > > 
> > > I'd recommend mail to steved@redhat.com, cc:'d to linux-nfs@vger.kernel.org.
> > 
> > I tried to do that couple of days ago, but I got no response. Are you in
> > touch with upstream? Could you possible try to contact them and ask them to
> > accept?
> > Thanks!
> 
> My apologies on this one... But I have not seen the patch posted to
> upstream. 
>   linux-nfs@vger.kernel.org is the address... Please use the appropriate
> format including the Signed-off-by line.
> 

Hrm, probably mistake on my side... should be there, now [1]

> In the future, please feel free to ping privately to get my 
> attention on things like this... The amount of email I get 
> from  bugzilla.redhat.com is simply abusive, so I tend to
> miss things like this...

Sure, thanks.

[1] http://www.spinics.net/lists/linux-nfs/msg39104.html
Comment 10 Fedora Update System 2013-09-18 16:09:35 EDT
nfs-utils-1.2.8-5.0.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nfs-utils-1.2.8-5.0.fc19
Comment 11 Fedora Update System 2013-09-20 12:28:52 EDT
Package nfs-utils-1.2.8-5.0.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nfs-utils-1.2.8-5.0.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17196/nfs-utils-1.2.8-5.0.fc19
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-09-26 02:29:04 EDT
Package nfs-utils-1.2.8-6.0.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nfs-utils-1.2.8-6.0.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17196/nfs-utils-1.2.8-6.0.fc19
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-10-03 22:00:36 EDT
nfs-utils-1.2.8-6.0.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.